package com.shuhe.common.data.extensions.dlt645;

public class Dlt645ExtensionConstants {
    public static final int DEFAULT_DLT645_TCP_PORT = 502;
    public static final int DEFAULT_SOCKET_TIMEOUT = 3000; // in milliseconds

    public static final int DEFAULT_POLL_PERIOD = 1000; // in milliseconds
    public static final int NO_POLL_PERIOD_DEFINED = 0;
    public static final int DEFAULT_INTERVAL_TIME = 40; // in milliseconds

    public static final int DEFAULT_REGISTER_COUNT = 1;

    public static final int DEFAULT_BIT_INDEX_FOR_BOOLEAN = 0;
    public static final int NO_BIT_INDEX_DEFINED = -1;
    public static final int DEFAULT_REGISTER_COUNT_FOR_BOOLEAN = 1;

    public static final int MIN_BIT_INDEX_IN_REG = 0;
    public static final int MAX_BIT_INDEX_IN_REG = 15;

    public static final String LITTLE_ENDIAN_BYTE_ORDER = "LITTLE";
    public static final String BIG_ENDIAN_BYTE_ORDER = "BIG";
}
