package com.shuhe.common.data.extensions.dlt645.transport;

import com.fasterxml.jackson.annotation.JsonSubTypes;
import com.fasterxml.jackson.annotation.JsonTypeInfo;

@JsonTypeInfo(
        use = JsonTypeInfo.Id.NAME,
        include = JsonTypeInfo.As.PROPERTY,
        property = "type")
@JsonSubTypes({
        @JsonSubTypes.Type(value = Dlt645TcpTransportConfiguration.class, name = "tcp"),
        @JsonSubTypes.Type(value = Dlt645UdpTransportConfiguration.class, name = "udp"),
        @JsonSubTypes.Type(value = Dlt645RtuTransportConfiguration.class, name = "rtu")})
public interface Dlt645TransportConfiguration {

}
