package com.shuhe.common.data.extensions.modbus.mapping;

import com.shuhe.common.data.extensions.modbus.ModbusExtensionConstants;
import lombok.Data;

import java.util.Collections;
import java.util.List;

@Data
public class DeviceMapping {
    private int unitId;
    private String deviceName;
    private int attributesPollPeriod = ModbusExtensionConstants.DEFAULT_POLL_PERIOD;
    private int timeseriesPollPeriod = ModbusExtensionConstants.DEFAULT_POLL_PERIOD;
    private List<PollingTagMapping> attributes = Collections.emptyList();
    private List<PollingTagMapping> timeseries = Collections.emptyList();
}
