package com.shuhe.common.data.extensions.modbus.mapping;

import com.shuhe.common.data.extensions.modbus.ModbusExtensionConstants;
import lombok.Data;

@Data
public class TagMapping {
    private String tag;
    private int functionCode;
    private int address;
    private int registerCount = ModbusExtensionConstants.DEFAULT_REGISTER_COUNT;
    private String byteOrder = ModbusExtensionConstants.BIG_ENDIAN_BYTE_ORDER;
    private int bit = ModbusExtensionConstants.NO_BIT_INDEX_DEFINED;
}
