package com.shuhe.common.data.extensions.modbus.transport;

import com.shuhe.common.data.extensions.modbus.ModbusExtensionConstants;
import lombok.Data;
import lombok.ToString;

@Data
@ToString(callSuper=true, includeFieldNames=true)
public class ModbusTcpTransportConfiguration extends ModbusIpTransportConfiguration {
    boolean rtuOverTcp;
    boolean reconnect;
    private int pollPeriod = ModbusExtensionConstants.DEFAULT_POLL_PERIOD;
    private int intervalTime = ModbusExtensionConstants.DEFAULT_INTERVAL_TIME;
}