package com.shuhe.common.data.extensions.common;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.shuhe.common.data.kv.DataType;
import lombok.AllArgsConstructor;
import lombok.Data;

@Data
@AllArgsConstructor
public class DataTypeMapping {

    private DataType dataType;

    @JsonCreator
    public static DataTypeMapping forValue(String value) {
        return new DataTypeMapping(DataType.valueOf(value.toUpperCase()));
    }
}
