package com.shuhe.common.data.extensions.dlt645.transport;

import com.shuhe.common.data.extensions.dlt645.Dlt645ExtensionConstants;
import lombok.Data;

@Data
public class Dlt645RtuTransportConfiguration implements Dlt645TransportConfiguration {
    private String portName;
    private int timeout = Dlt645ExtensionConstants.DEFAULT_SOCKET_TIMEOUT;
    private String encoding;
    private int baudRate;
    private int dataBits;
    private float stopBits;
    private String parity;
    private int pollPeriod = Dlt645ExtensionConstants.DEFAULT_POLL_PERIOD;
    private int intervalTime = Dlt645ExtensionConstants.DEFAULT_INTERVAL_TIME;
}
