package com.shuhe.common.data.extensions.dlt645.transport;

import com.shuhe.common.data.extensions.dlt645.Dlt645ExtensionConstants;
import lombok.Data;
import lombok.ToString;

@Data
@ToString(callSuper=true, includeFieldNames=true)
public class Dlt645TcpTransportConfiguration extends Dlt645IpTransportConfiguration {
    boolean rtuOverTcp;
    boolean reconnect;
    private int pollPeriod = Dlt645ExtensionConstants.DEFAULT_POLL_PERIOD;
    private int intervalTime = Dlt645ExtensionConstants.DEFAULT_INTERVAL_TIME;
}
