package com.shuhe.common.data.extensions.modbus.transport;

import com.shuhe.common.data.extensions.modbus.ModbusExtensionConstants;
import lombok.Data;

@Data
public class ModbusRtuTransportConfiguration implements ModbusTransportConfiguration {
    private String portName;
    private int timeout = ModbusExtensionConstants.DEFAULT_SOCKET_TIMEOUT;
    private String encoding;
    private int baudRate;
    private int dataBits;
    private float stopBits;
    private String parity;
    private int pollPeriod = ModbusExtensionConstants.DEFAULT_POLL_PERIOD;
    private int intervalTime = ModbusExtensionConstants.DEFAULT_INTERVAL_TIME;
}