package com.shuhe.common.data.extensions.modbus.transport;

import com.fasterxml.jackson.annotation.JsonSubTypes;
import com.fasterxml.jackson.annotation.JsonTypeInfo;


@JsonTypeInfo(
        use = JsonTypeInfo.Id.NAME,
        include = JsonTypeInfo.As.PROPERTY,
        property = "type")
@JsonSubTypes({
        @JsonSubTypes.Type(value = ModbusTcpTransportConfiguration.class, name = "tcp"),
        @JsonSubTypes.Type(value = ModbusUdpTransportConfiguration.class, name = "udp"),
        @JsonSubTypes.Type(value = ModbusRtuTransportConfiguration.class, name = "rtu")})
public interface ModbusTransportConfiguration {

}